Bug 82997 - Update Help style sheets
Summary: Update Help style sheets
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-24 03:16 UTC by Adolfo Jayme
Modified: 2016-12-12 16:04 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2014-08-24 03:16:31 UTC
You know: fonts, text sizes, and miscellaneous tweaks.

I was thinking: we ship* some nice fonts (such as Source Sans), why not giving one of them some prominence, while we update those CSS files from 2004? Filing this bug so that I remember to get back to this.

* In Windows, Mac, and official Linux builds. Of course I will preserve the fallback list for Linux distro builds that drop the fonts (e.g., Debian).
Comment 1 Commit Notification 2016-11-12 02:01:21 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=106850a265b62c6a85d713c20afe131844013f0a

tdf#82997 Update CSS for fonts used in systems of this decade
Comment 2 Adolfo Jayme 2016-12-12 16:04:42 UTC
In the end I decided to just use the fonts of each platform’s UI (but I didn’t bother trying to specify macOS’ San Francisco in the CSS, because that requires hacks that may stop working anytime Apple desires to screw with people again).